GDB (xrefs)

Macros | Functions | Variables
/tmp/gdb-8.1/gdb/amd64-windows-nat.c File Reference
`#include "defs.h"`
`#include "windows-nat.h"`
`#include "x86-nat.h"`
`#include "amd64-tdep.h"`
`#include <windows.h>`

Go to the source code of this file.

## Macros
#define | context_offset(x) (offsetof (CONTEXT, x))

## Functions
static int | amd64_windows_segment_register_p (int regnum)
void | _initialize_amd64_windows_nat (void)

## Variables
static const int | mappings []

## Macro Definition Documentation

## ◆ context_offset

#define context_offset | ( |  | x | ) | (offsetof (CONTEXT, x))

Definition at line 25 of file amd64-windows-nat.c.

Referenced by do_windows_fetch_inferior_registers().

## Function Documentation

## ◆ _initialize_amd64_windows_nat()

void _initialize_amd64_windows_nat | ( | void |  | ) |

Definition at line 99 of file amd64-windows-nat.c.

References amd64_windows_segment_register_p(), mappings, windows_set_context_register_offsets(), windows_set_segment_register_p(), and x86_set_debug_register_length().

## ◆ amd64_windows_segment_register_p()

static int amd64_windows_segment_register_p | ( | int | regnum | ) |
| static

Definition at line 93 of file amd64-windows-nat.c.

References AMD64_CS_REGNUM, AMD64_GS_REGNUM, and regnum.

Referenced by _initialize_amd64_windows_nat().

## Variable Documentation

## ◆ mappings

const int mappings[]
| static

Definition at line 26 of file amd64-windows-nat.c.

Referenced by _initialize_amd64_windows_nat(), and procfs_info_proc().